Describe custom network
curl --request GET \
--url https://api.omnistrate.cloud/2022-09-01-00/resource-instance/custom-network/{id} \
--header 'Cookie: <cookie>'import requests
url = "https://api.omnistrate.cloud/2022-09-01-00/resource-instance/custom-network/{id}"
headers = {"Cookie": "<cookie>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<cookie>'}};
fetch('https://api.omnistrate.cloud/2022-09-01-00/resource-instance/custom-network/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"cidr": "<string>",
"cloudProviderName": "<string>",
"cloudProviderRegion": "<string>",
"status": "<string>",
"networkDefinitionType": "<string>",
"networkFeaturesConfiguration": {
"isPrivateLinkEnabled": true
},
"networkInstances": [
{
"cloudProviderNativeNetworkId": "<string>",
"awsAccountID": "<string>",
"gcpProjectID": "<string>",
"gcpProjectNumber": "<string>",
"azureSubscriptionID": "<string>",
"azureTenantID": "<string>",
"hostClusterID": "<string>"
}
],
"owningUserId": "<string>",
"owningUserName": "<string>",
"created_at": "<string>",
"last_modified_at": "<string>"
}Custom networks
Describe custom network
Retrieve the details of a custom network.
GET
/
2022-09-01-00
/
resource-instance
/
custom-network
/
{id}
Describe custom network
Returns a custom network, including the cloud provider network instances created inside it.
Authorization
Path parameters
string
required
ID of the custom network.
Response
string
required
ID of the custom network.
string
Friendly name of the network.
string
required
CIDR block reserved for the network.
string
required
Cloud provider the network belongs to.
string
required
Region the network is created in.
string
Status of the network.
string
Type of the network definition.
object[]
Cloud provider networks created within this custom network.
string
ID of the user that owns the network.
string
Name of the user that owns the network.
string
Time the network was created.
string
Time the network was last updated.
Errors
See Error for the error response shape.Was this page helpful?